こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

macにPIL/pillowをインストールできない

MacBook Airを使っていて、OSは10.10.5です。
pythonのバージョンは、2.7.10です。
pythonでの画像処理に、PILを使いたいです。

様々なサイトに乗っているいろいろな方法を試しましたが、エラーがでて、
import PIL, import pil, inport Pillow, import pillowなどとやっても、no module named pillowなどとなってしまい、使えません。

エラーの種類がその都度違いますが、permission deniedやno matching versionなどがよく出てきます。

この環境へのPILのインストール方法を教えてください。お願いします。

投稿日時 - 2017-08-08 23:01:32

QNo.9360893

困ってます

質問者が選んだベストアンサー

「permission deniedやno matching version」は翻訳すると
「許可が拒否されたか一致しないバージョン」とのことですから、
Macのセキュリティか、おつかいのMacのOSのバーションに
対応しないバーションの可能性があります。

Macのセキュリティの関係なら、システム環境設定の
「セキュリティとプライバシー」の「一般」から
ダウンロードしたアプリケーションの実行許可で、
「すべてのアプリケーションを許可」にチェックを変更し、
実行してみてください。
(終わったら必ず元の設定に戻してください。
また、この変更により何があっても自己責任で行ってください。)

それでもダメなら、pythonのバージョン2.7.10は
OSX10.10には対応していないことが原因かと思います。

投稿日時 - 2017-08-09 19:51:07

お礼

--userと付けたらいけました!
ありがとうございます

投稿日時 - 2017-08-14 19:49:25

ANo.1

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(1)

あなたにオススメの質問